#include<bits/stdc++.h>
using namespace std;
int ucln(int x, int y)
{
    int r;
    while(y!=0)
    {
        r=x/y;
        x=y;
        y=r;
    }
    return x;
}
int main()
{
    ifstream fi("ntcn.inp");
    ofstream fo("ntcn.out");
    int n;
    fi>>n;
    int a[n];
    int dem=0;
    for(int i=0;i<n;i++)
    {
        fi>>a[i];
    }
    for(int i=0;i<n-1;i++)
    {
        for(int j=i+1;j<n;j++)
        {
            if(a[i]==a[j])
            {
                for(int k=j;k<n-1;k++)
                {
                    a[k]=a[k+1];
                }
                n--;
            }
        }
    }
    for(int i=0;i<n-1;i++)
    {
        for(int j=i+1;j<n;j++)
        {
            if(ucln(a[i],a[j])==1)
            {
                dem++;
            }
        }
    }
    fo<<dem;
}
